analyzers:
  planner:
    type: diagnostic_aggregator/AnalyzerGroup
    path: Planner
    analyzers:
      main:
        type: diagnostic_aggregator/GenericAnalyzer
        path: Main
        expected:
          - "planner: decision_component_zci"
          - "planner: decision_diagnostic"
          - "planner: planner_corridor_zci"
          - "planner: prediction_server_component_zci"
          - "planner: prediction_server_diagnostic"
          - "planner: region_provider_zci"
          - "planner: smoother_diagnostic"
          - "planner: smoother_zci"
          - "tracker: tracker_diagnostic"
          - "tracker: tracker_zci"
          - "planner_supervisor: Planner Orchestration"
          - "planner_supervisor: Tracker Orchestration"
          - "planner_supervisor: Planner ROS Diagnostic Aggregator Orchestration"
          - "planner_supervisor: supervisor_zci"
          - "planner_supervisor: supervisor_diagnostic"
        remove_prefix:
          - "planner_supervisor"
          - "planner"
          - "tracker"
      config:
        type: diagnostic_aggregator/GenericAnalyzer
        path: Config
        expected:
          - "planner: planner_config_provider_zci"
          - "tracker: planner_config_provider_zci"
      async:
        type: diagnostic_aggregator/GenericAnalyzer
        path: Async
        timeout: 60
        expected:
          - "planner: road_graph_solver_diagnostic"
          - "planner: road_graph_solver_zci"
          - "planner: route_data_generator_zci"
        remove_prefix:
          - "planner"
